BIO_PRINTF(3)

NAME
BIO_printf, BIO_vprintf, BIO_snprintf, BIO_vsnprintf - formatted output to a BIO

SYNOPSIS
#include <openssl/bio.h>
int
BIO_printf(BIO *bio, const char *format, ...);
int
BIO_vprintf(BIO *bio, const char *format, va_list args);
int
BIO_snprintf(char *buf, size_t n, const char *format, ...);
int
BIO_vsnprintf(char *buf, size_t n, const char *format, va_list args);

DESCRIPTION
BIO_vprintf() is a wrapper around vfprintf(3), sending the output to the specified bio.

BIO_printf() is a wrapper around BIO_vprintf().

BIO_snprintf() and BIO_vsnprintf() are wrappers around vsnprintf(3).

RETURN VALUES
These functions return the number of bytes written, or -1 if an error occurs.

In contrast to snprintf(3) and vsnprintf(3), BIO_snprintf() and BIO_vsnprintf() also return -1 if n is too small to hold the complete output.

SEE ALSO
BIO_new(3)

HISTORY
BIO_printf() first appeared in SSLeay 0.6.5 and has been available since OpenBSD 2.4.

BIO_vprintf(), BIO_snprintf(), and BIO_vsnprintf() first appeared in OpenSSL 0.9.6 and have been available since OpenBSD 2.9.